Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Trips

Set trip name

post
/scheduler/trips/{uid}/set-name/
Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstringRequired
Body
namestringRequiredExample: trip_ref_01234
Responses
200

Trip name updated

application/json
uidstring · uuidOptional

The trip identifier.

Example: 447521b0-e165-11ea-a488-0242ac110007
namestringOptional

The trip name.

Example: trip_ref_01234
post/scheduler/trips/{uid}/set-name/
POST /api/v4/scheduler/trips/{uid}/set-name/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 25

{
  "name": "trip_ref_01234"
}
200

Trip name updated

{
  "uid": "447521b0-e165-11ea-a488-0242ac110007",
  "name": "trip_ref_01234"
}

Last updated

Was this helpful?